petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetGatherDM

Get a copy of the DMPlex that gathers all points on the root process of the original's communicator.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetGatherDM(DM dm, DM * gatherMesh)

### Input Parameters

dm -the original DMPlex object Many br

### Output Parameters

gatherMesh -the gathered DM object, or NULL Many br

Many br

### Keywords

mesh

### See Also

DMPlexDistribute(), DMPlexGetRedundantDM()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages